list live events.md

List Live Events

Media API · Live Events

GET https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents

Listing, Sorting and Filtering Live Events

This endpoint returns the list of live events in the specified project.

Sorting

The results from this endpoint can be ordered using the $orderby query parameter. Specify a list of field names, separated by commas where each one can optionally specify asc or desc.

Sorting is valid on the following fields: created, createdBy, id, name, properties/created, properties/description, properties/encoding/encodingType, properties/lastModified, properties/resourceState, updated, updatedBy

Filtering

There are two ways to filter the set of returned live events from this endpoint - the first is to use the $filter query parameter, the second is to use the $label_key and $label query parameters.

The $filter query parameter allows for live events to be filtered on the basis of fields in the schema using OData query syntax. See this document for more details on the syntax used.

Filters are valid on the following fields: created, createdBy, createdByEmail, createdByName, id, name, properties/created, properties/description, properties/encoding/encodingType, properties/lastModified, properties/resourceState, updated, updatedBy, updatedByEmail, updatedByName

$label_key and $label are specific to querying live events based on their labels. Labels are a set of key-value pairs that can be used to identify live events with any arbitrary metadata you want, specifically for the purpose of retrieving relevant subsets of live events.

Examples:

?$top=10 - Returns only the first 10 live events from the list.

?$orderby=name desc - Sorts live events by name in descending order.

?$filter=name eq 'descriptive name' - Returns live events that match the provided name.

?$orderby=created desc - Sorts live events by creation date in descending order.

?$filter=created ge 2021-01-01T00:00:00Z - Returns live events created after January 1, 2021.

?$filter=properties/resourceState eq 'Running' - Returns live events in the Running state.

?$label=studio=paravalley - Returns live events with the label studio set to paravalley.

?$label=release-date~2023 - Returns live events with the label release-date set to a value that contains 2023.

?$label_key=studio&label_key=release-date - Returns live events with any value set for the studio label and the release-date label.

RBAC Capability Required: ams.liveevent.get

Authentication

Path parameters

Name Type Required Description
project_name string Yes

Query parameters

Name Type Required Description
$label_key string No Filters the set to the specified label key. If multiple $label_keys are specified, matching items must have all labels.
$label string No Filters the set to the specified label key/value pair. Supports equality, inequality, and inexact matching. If multiple values are provided for the same key, items matching either value will be returned.
$orderby string No Specifies the key by which the result collection should be ordered.
$filter string No Restricts the set of items returned.
$top string No Specifies a non-negative integer n that limits the number of items returned from a collection. The service returns the number of available items up to but not greater than the specified value n.
$skiptoken string No Specifies a start offset to support paginated results. Use @odata.nextLink in the result object to enumerate the collection - it will be present only if there's more than one page of entities.

Example request

curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/media/liveEvents" \
  -H "Authorization: Bearer <token>"

Responses

200 — A list of live events

Example:

{
  "@odata.nextLink": "string",
  "supplemental": {
    "count": 0,
    "kind": "string",
    "operation": "string",
    "pagination": {
      "end": 0,
      "records": 0,
      "start": 0,
      "total": 0
    },
    "subscription": {
      "id": "string",
      "name": "string"
    }
  },
  "value": [
    {
      "location": "string",
      "name": "name",
      "properties": {
        "created": "string",
        "crossSiteAccessPolicies": {
          "clientAccessPolicy": "string",
          "crossDomainPolicy": "string"
        },
        "description": "string",
        "encoding": {
          "encodingType": "None",
          "keyFrameInterval": "PT2S",
          "presetName": "string",
          "stretchMode": "None"
        },
        "hostnamePrefix": "string",
        "input": {
          "accessControl": {
            "ip": {
              "allow": [
                {
                  "address": "string",
                  "name": "string",
                  "subnetPrefixLength": 0
                }
              ]
            }
          },
          "accessToken": "string",
          "endpoints": [
            {
              "protocol": "string",
              "url": "string"
            }
          ],
          "keyFrameIntervalDuration": "string",
          "streamingProtocol": "RTMP",
          "timedMetadataEndpoints": [
            {
              "url": "string"
            }
          ]
        },
        "lastModified": "string",
        "pipeline": {
          "arguments": {
            "operation1": [
              {
                "name": "language",
                "value": "en-US"
              }
            ],
            "operation2": [
              {
                "name": "length",
                "value": "3.7m"
              }
            ]
          },
          "name": "string"
        },
        "preview": {
          "accessControl": {
            "ip": {
              "allow": [
                {
                  "address": "string",
                  "name": "string",
                  "subnetPrefixLength": 0
                }
              ]
            }
          },
          "alternativeMediaId": "string",
          "endpoints": [
            {
              "protocol": "string",
              "url": "string"
            }
          ],
          "previewLocator": "00000000-0000-0000-0000-000000000000",
          "streamingPolicyName": "Predefined_ClearStreamingOnly"
        },
        "provisioningState": "string",
        "resourceState": "Stopped",
        "streamOptions": [
          "string"
        ],
        "transcriptions": [
          null
        ],
        "useStaticHostname": true
      },
      "tags": {
        "key": "string"
      }
    }
  ]
}

400 — Bad Request

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

401 — Unauthorized

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

403 — Forbidden

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

404 — Not Found

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

429 — Too Many Requests

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}

500 — Internal Server Error

Example:

{
  "error": {
    "code": "string",
    "detail": "string",
    "extraDetail": {
      "key": null
    }
  },
  "ref": "string",
  "status": 0
}